Skip to content

Returns a coupon code gen process from the system by its ID.

Request

This method will delete a coupon code gen process with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the coupon code gen process to delete.

curl -i -X DELETE \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/couponCodeGenProcesses/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The coupon code gen process was deleted successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
string
Response
"string"